> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suprsend.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Workflows

> Retrieve a list of workflows in a workspace.



## OpenAPI

````yaml GET /v1/{workspace}/workflow/
openapi: 3.1.1
info:
  title: SuprSend API
  description: APIs supported on suprsend platform
  version: 1.2.2
servers:
  - url: https://hub.suprsend.com
security:
  - sec0: []
  - BearerAuth: []
paths:
  /v1/{workspace}/workflow/:
    get:
      summary: List Workflows
      description: Retrieve a list of workflows in a workspace.
      operationId: list-workflows
      parameters:
        - in: path
          name: workspace
          required: true
          schema:
            type: string
          description: Workspace slug (staging, production, etc.)
        - in: query
          name: mode
          schema:
            type: string
            enum:
              - draft
              - live
            default: draft
          description: >-
            Mode to filter workflows (draft or live). By default, draft
            workflows are returned.
        - in: query
          name: slugs
          schema:
            type: string
          description: >-
            Comma-separated list of workflow slugs to filter. This can be used
            to filter workflows by slug.
      responses:
        '200':
          description: Successfully retrieved list of workflows
          content:
            application/json:
              schema:
                type: object
                properties:
                  meta:
                    type: object
                    properties:
                      count:
                        type: integer
                        description: Total number of workflows matching the query
                        example: 92
                      limit:
                        type: integer
                        description: Number of results returned per page
                        example: 10
                      offset:
                        type: integer
                        description: Offset value passed in the request
                        example: 0
                    description: Metadata related to pagination information
                  results:
                    type: array
                    items:
                      $ref: '#/components/schemas/Workflow'
                    description: Array of workflows along with their node tree.
              example:
                meta:
                  count: 92
                  limit: 10
                  offset: 0
                results:
                  - $schema: https://schema.suprsend.com/workflow/v1/schema.json
                    slug: survey-reminder
                    is_enabled: true
                    created_at: '2025-06-27T03:26:48.793551Z'
                    last_executed_at: '2025-06-27T04:48:20.653366Z'
                    name: Survey Reminder
                    description: null
                    updated_at: '2025-06-27T03:36:05.623939Z'
                    commit_message: Survey completed
                    hash: >-
                      ed3e630c1526170564c962db00dbfcfef997e995f62f67c068a8c9c1d5efbc13
                    status: active
                    category: transactional
                    tags:
                      - reminder
                    ratelimit: null
                    conditions: []
                    trigger_type: api
                    trigger_events: []
                    override_recipients_type: null
                    override_recipients_user_expr: null
                    override_recipients_single_object_fields_expr: null
                    override_actor_user_expr: null
                    override_tenant_expr: null
                    active_at: '2025-06-27T03:36:05.623845Z'
                    updated_by:
                      name: Nikita
                      email: nikita@suprsend.com
                    tree:
                      nodes:
                        - name: Multi-Channel
                          node_type: send_multi_channel
                          properties:
                            template: 11-performance-review-session
                            channels: []
                            channels_expr: null
                            success: seen
                            success_is_event: false
                          description: ''
                          schema_version: '1'
                    validation_result:
                      is_valid: true
        '401':
          $ref: '#/components/responses/AuthenticationError'
          description: AuthenticationFailed
        '404':
          $ref: '#/components/responses/NotFoundError'
          description: Workflow not found
      security:
        - ServiceTokenAuth: []
      servers:
        - url: https://management-api.suprsend.com
      x-codeSamples:
        - lang: cURL
          label: List Workflows
          source: >
            curl -X GET
            "https://management-api.suprsend.com/v1/{workspace}/workflow/" \
              --header 'Authorization: ServiceToken <token>' \
              --header 'Content-Type: application/json'
components:
  schemas:
    Workflow:
      type: object
      properties:
        $schema:
          type: string
          format: uri
          description: Schema URL for workflow validation
          example: https://schema.suprsend.com/workflow/v1/schema.json
        slug:
          type: string
          description: Unique identifier for the workflow
          minLength: 1
          maxLength: 255
          pattern: ^[a-z0-9-_]+$
          example: welcome-sequence
        is_enabled:
          type: boolean
          description: Whether the workflow is enabled
          example: true
        created_at:
          type: string
          format: date-time
          description: When the workflow was created
        last_executed_at:
          type: string
          format: date-time
          description: When the workflow was last executed
          nullable: true
        name:
          type: string
          description: Human-readable name of the workflow
          example: Welcome Sequence
        description:
          type: string
          nullable: true
          description: Description explaining the usecase of the workflow
        updated_at:
          type: string
          format: date-time
          description: When the workflow was last updated
        commit_message:
          type: string
          nullable: true
          description: Last commit message
        hash:
          type: string
          nullable: true
          description: Git-like hash for version tracking
        status:
          type: string
          enum:
            - active
            - inactive
            - draft
          description: Current status of the workflow
        category:
          type: string
          description: >-
            Notification category of the workflow. Used to apply
            category-specific settings and preferences.
          example: transactional
        tags:
          type: array
          items:
            type: string
          description: Tags for organizing and filtering workflows in API.
        ratelimit:
          type: object
          nullable: true
          description: >-
            Workflow [throttle](https://docs.suprsend.com/docs/throttle)
            settings. This is used to limit the number of times a workflow can
            be executed per user in a given time period.
        conditions:
          type: array
          items:
            type: object
          description: >-
            Trigger Conditions for workflow execution. Workflow will only be
            executed if trigger conditions evaluate to true.
        trigger_type:
          type: string
          enum:
            - event
            - dynamic
            - api
          description: >-
            How the workflow is triggered. You can refer to all trigger types
            [here](https://docs.suprsend.com/reference/trigger-workflows#trigger-types).
        trigger_events:
          type: array
          items:
            type: string
          description: >-
            Events that trigger this workflow. This will be set for trigger_type
            = `event`.
        override_recipients_type:
          type: string
          nullable: true
          description: >-
            Type of recipient override. Define whether to override and run this
            workflow for user, list of users or a single object.
          enum:
            - user
            - single_object_fields
        override_recipients_user_expr:
          type: string
          nullable: true
          description: >-
            Expression for overriding recipients when override_recipients_type =
            `user`.
        override_recipients_single_object_fields_expr:
          type: string
          nullable: true
          description: >-
            Expression for overriding recipients when override_recipients_type =
            `single_object_fields`.
        override_actor_user_expr:
          type: string
          nullable: true
          description: Expression for overriding actor
        override_tenant_expr:
          type: string
          nullable: true
          description: Expression for overriding tenant
        active_at:
          type: string
          format: date-time
          description: >-
            When the workflow's live version became active. Will be `null` for
            draft version.
        updated_by:
          type: object
          nullable: true
          properties:
            name:
              type: string
              description: Name of the user who last updated the workflow
            email:
              type: string
              format: email
              description: Email of the user who last updated the workflow
          description: User who last updated the workflow
        tree:
          type: object
          description: >-
            Node tree structure of the workflow. Shows the list of all nodes
            used in the workflow along with their configuration.
        validation_result:
          type: object
          properties:
            is_valid:
              type: boolean
              description: true if the workflow tree is valid to be published.
            errors:
              type: array
              items:
                type: string
              description: List of errors if the workflow tree is not valid.
          description: Validation status of the workflow
    ErrorResponse:
      type: object
      properties:
        code:
          type: integer
          description: HTTP status code
        error_code:
          type: string
          description: Specific error code identifier
        type:
          type: string
          description: Error type classification
        message:
          type: string
          description: Human-readable error message
        detail:
          type: string
          description: Additional error details
  responses:
    AuthenticationError:
      description: Authentication failed
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: 401
            error_code: authentication_failed
            type: AuthenticationFailed
            message: Invalid service token.
            detail: Invalid service token.
    NotFoundError:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
          example:
            code: 404
            error_code: not_found
            type: NotFound
            message: workspace 'demo' not found
            detail: workspace 'demo' not found
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where <token>
        is your auth token.
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API_Key
      description: >-
        Pass as `Bearer <API_KEY>`. Get API Key from SuprSend dashboard
        Developers -> API Keys section.
    ServiceTokenAuth:
      type: apiKey
      in: header
      name: ServiceToken <token>
      description: >-
        You can get Service Token from [SuprSend dashboard -> Account Settings
        -> Service
        Tokens](https://app.suprsend.com/en/account-settings/service-tokens)
        section.

````

Built with [Mintlify](https://mintlify.com).